# Uses of Interface
org.eclipse.birt.report.model.api.extension.IStyleDeclaration

Packages that use IStyleDeclaration
Package
Description
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.

## Uses of IStyleDeclaration in org.eclipse.birt.report.model.api.extension

Methods in org.eclipse.birt.report.model.api.extension that return IStyleDeclaration
Modifier and Type
Method
Description
`IStyleDeclaration[]`
IReportItemFactory.`getFactoryStyles(String extensionName)`
Returns the list of default styles that defined for the extension element.
`IStyleDeclaration[]`
ReportItemFactory.`getFactoryStyles(String extensionName)`